// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdVideoIdentProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdVideoIdentProductPlugin", targets: ["WebIdVideoIdentProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-server-document-scanner-spm",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdVideoIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-video-ident-plugin-spm",
            .branch("redesign-v4-snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdVideoIdentProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdVideoIdentProductPlugin/14.6.0/WebIdVideoIdentProductPlugin.framework-v14.6.0-SNAPSHOT-1369.zip",
            checksum: "45ef75b36491e112932a1ef86be481be1042f9e772fe00d9148c221382d203dc"
        ),
        .target(
            name: "WebIdVideoIdentProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdVideoIdentProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnServerDocumentScanner", package: "WebIdOnServerDocumentScanner"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdVideoIdentPlugin", package: "WebIdVideoIdentPlugin"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
